org.eclipse.incquery.viewers.runtime.sources

## Class QueryLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.incquery.viewers.runtime.sources.QueryLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

      public class QueryLabelProvider
      extends org.eclipse.jface.viewers.LabelProvider

  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryLabelProvider(ViewerState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.String` | `getText(java.lang.Object element)`

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `getImage`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, isLabelProperty, removeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### QueryLabelProvider

          public QueryLabelProvider(ViewerState state)

  - ### Method Detail

    - #### getText

          public java.lang.String getText(java.lang.Object element)

      Specified by:
        `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getText` in class `org.eclipse.jface.viewers.LabelProvider`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`